Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.delta
Class AddValueIfAbsentOperation

    java.lang.Object
      org.infinispan.schematic.internal.delta.Operation
          org.infinispan.schematic.internal.delta.ArrayOperation
              org.infinispan.schematic.internal.delta.AddValueOperation
                  org.infinispan.schematic.internal.delta.AddValueIfAbsentOperation

    public class AddValueIfAbsentOperation

extends AddValueOperation

An atomic array add operation for SchematicValueDelta.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Nested Class Summary
`static class` | `AddValueIfAbsentOperation.Externalizer`

Field Summary
`protected boolean` | `added`

Fields inherited from class org.infinispan.schematic.internal.delta.AddValueOperation
`actualIndex, APPEND_INDEX, index, value`

Fields inherited from class org.infinispan.schematic.internal.delta.Operation
`parentPath`

Constructor Summary
`AddValueIfAbsentOperation(Path path, Object value)`

Method Summary
`boolean` | `isAdded()`
`void` | `replay(MutableDocument delegate)`
`void` | `rollback(MutableDocument delegate)`
`String` | `toString()`

Methods inherited from class org.infinispan.schematic.internal.delta.AddValueOperation
`getActualIndex, getIndex, getValue`

Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation
`mutableParent`

Methods inherited from class org.infinispan.schematic.internal.delta.Operation
`getParentPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### added

    protected transient boolean added

Constructor Detail

### AddValueIfAbsentOperation

    public AddValueIfAbsentOperation(Path path,
                                     Object value)

Method Detail

### isAdded

    public boolean isAdded()

### rollback

    public void rollback(MutableDocument delegate)

  Overrides:
    `rollback` in class `AddValueOperation`

### replay

    public void replay(MutableDocument delegate)

  Overrides:
    `replay` in class `AddValueOperation`

### toString

    public String toString()

  Overrides:
    `toString` in class `AddValueOperation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.